Bug 804685 - System Details/Packages, unclear what Packages/PackageGroups radio button does
System Details/Packages, unclear what Packages/PackageGroups radio button does
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Kedar Bidarkar
Kedar Bidarkar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 11:18 EDT by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The "System Content > Packages" subpage layout had usability issues. This fix reformats the content of this page and simplifies the content by separating it into two tables. A tooltip has also been added for further recommendations of how to use the functions presented.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:43:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2012-03-19 11:18:30 EDT
Description of problem:
I think the text should say "Package" and "Package Group".  You can only install or remove one at a time.  The plural is confusing and makes it seem like maybe you're searching but you're not.  You have to use an exact name.   

Version-Release number of selected component (if applicable):
CloudForms System Engine Version: 0.1.304-1.el6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Weiss 2012-03-19 11:28:45 EDT
<bbuckingham> jweiss, bz 804685 isn't correct, a user can provide a
              comma-separated list of pkg/group names... don't have to do them
              1 at a time  [11:22]

<jweiss> bbuckingham: ok, no way for anyone to know that though :)
         bbuckingham: thomasmckay: the general idea for that bug is that that
         ui is confusing, it's not clear what the radio buttons are for
                                                                        [11:23]
<bbuckingham> jweiss, ok, that's different than changing from plural to
              singular :)  [11:24]

<thomasmckay> jweiss: maybe add more details to the BZ? not really sure where
              the confusion lies

<jweiss> i'd prefer to see the radio button/textbox/links div separated from
         list of packages, and have a small heading, like "Install or Remove
         Packages"
         thomasmckay: bbuckingham yeah i was trying to get it into v1 (minmal
         change to clear up confusion)

<bbuckingham> jweiss, as mentioned in different forums, we could add a help
              tip... could move that info out of the table... could break in
              to package & package groups tabs... lots of possible options
                                                                        [11:25]
<jweiss> bbuckingham: actually that's even better.  move the add/remove ui
         bits out of the ntable
         doesn't belong there IMO  - should be above
         either under or above the filter
Comment 3 Brad Buckingham 2012-04-05 11:15:19 EDT
katello commit - b21e81fbdf1c574a64fe97a95138b44dcd6e5070

Made a couple of updates to the System -> Packages pane in order to help users.

1. Split the existing table in to 2 tables.
   - First table is to allow the user to perform Package and Package group Add/Remove operations.  User simply selects the radio button, enters a comma-separated list of names and clicks Add or Remove.

   - Second table provides the list of packages currently installed on the system along with the status of any package actions that are in progress.  User may view the list of packages, select them and click update/remove.  If no packages are selected, they may select update all.

2. Added a tipsy helptip to each table to describe how to use the table.  Basically hover over the (i) icon to the far right in the table header to see the details.
Comment 7 errata-xmlrpc 2012-12-04 14:43:13 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.